Gentoo Archives: gentoo-commits

From: Bernard Cafarelli <voyageur@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/nextcloud-client/
Date: Fri, 19 May 2017 17:04:46
Message-Id: 1495213476.094ae32dac2ad207401b30d4c215c0832dfbcfd9.voyageur@gentoo
commit:     094ae32dac2ad207401b30d4c215c0832dfbcfd9
Author:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Fri May 19 17:02:23 2017 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Fri May 19 17:04:36 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=094ae32d

net-misc/nextcloud-client: add shibboleth USE-flag, bug #617416

This makes qtwebkit an optional dependency
Thanks to Rasmus Thomsen <Rasmus.thomsen <AT> live.de> for the report

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 net-misc/nextcloud-client/metadata.xml             |   1 +
 .../nextcloud-client-2.3.1-r1.ebuild               | 105 +++++++++++++++++++++
 2 files changed, 106 insertions(+)

diff --git a/net-misc/nextcloud-client/metadata.xml b/net-misc/nextcloud-client/metadata.xml
index 7dbf4d43236..51270e9f5ec 100644
--- a/net-misc/nextcloud-client/metadata.xml
+++ b/net-misc/nextcloud-client/metadata.xml
@@ -8,6 +8,7 @@
 	<use>
 		<flag name="dolphin">Install the <pkg>kde-apps/dolphin</pkg> extension</flag>
 		<flag name="nautilus">Install the <pkg>gnome-base/nautilus</pkg> extension</flag>
+		<flag name="shibboleth">Build support for Shibboleth single sign-on</flag>
 		<flag name="sftp">Enable sftp transfer support via <pkg>net-libs/libssh</pkg></flag>
 	</use>
 	<upstream>

diff --git a/net-misc/nextcloud-client/nextcloud-client-2.3.1-r1.ebuild b/net-misc/nextcloud-client/nextcloud-client-2.3.1-r1.ebuild
new file mode 100644
index 00000000000..4d0efa2f2f4
--- /dev/null
+++ b/net-misc/nextcloud-client/nextcloud-client-2.3.1-r1.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils
+
+DESCRIPTION="Nextcloud themed desktop client"
+HOMEPAGE="https://github.com/nextcloud/client_theming"
+SRC_URI="http://download.owncloud.com/desktop/stable/owncloudclient-${PV}.tar.xz
+	https://github.com/nextcloud/client_theming/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="CC-BY-3.0 GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc dolphin nautilus samba +sftp shibboleth test"
+
+COMMON_DEPEND=">=dev-db/sqlite-3.4:3
+	dev-libs/qtkeychain[qt5]
+	dev-qt/qtconcurrent:5
+	dev-qt/qtcore:5
+	dev-qt/qtdbus:5
+	dev-qt/qtgui:5
+	dev-qt/qtnetwork:5
+	dev-qt/qtsql:5
+	sys-fs/inotify-tools
+	virtual/libiconv
+	dolphin? (
+		kde-frameworks/kcoreaddons:5
+		kde-frameworks/kio:5
+	)
+	nautilus? ( dev-python/nautilus-python )
+	samba? ( >=net-fs/samba-3.5 )
+	sftp? ( >=net-libs/libssh-0.5 )
+	shibboleth? ( dev-qt/qtwebkit:5 )
+"
+RDEPEND="${COMMON_DEPEND}
+	!net-misc/ocsync
+	!net-misc/owncloud-client
+"
+DEPEND="${COMMON_DEPEND}
+	dev-qt/linguist-tools:5
+	doc? (
+		dev-python/sphinx
+		dev-texlive/texlive-latexextra
+		virtual/latex-base
+	)
+	dolphin? ( kde-frameworks/extra-cmake-modules )
+	test? (
+		dev-util/cmocka
+		dev-qt/qttest:5
+	)
+"
+
+S=${WORKDIR}/client_theming-${PV}
+
+src_unpack() {
+	default
+
+	rmdir "${S}"/client || die
+	mv "${WORKDIR}"/owncloudclient-${PV} "${S}"/client \
+		|| die
+}
+
+src_prepare() {
+	CMAKE_USE_DIR="${S}"/client
+	# Keep tests in ${T}
+	sed -i -e "s#\"/tmp#\"${T}#g" client/test/test*.cpp || die
+	# Fix icon name
+	sed -e "/^Icon.*=/s/@APPLICATION_EXECUTABLE@/Nextcloud/" \
+		-i client/mirall.desktop.in || die
+
+	if ! use nautilus; then
+		pushd client/shell_integration > /dev/null || die
+		cmake_comment_add_subdirectory nautilus
+		popd > /dev/null || die
+	fi
+
+	default
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DSYSCONF_INSTALL_DIR="${EPREFIX}"/etc
+		-DCMAKE_INSTALL_DOCDIR=/usr/share/doc/${PF}
+		-DWITH_ICONV=ON
+		-DWITH_DOC=$(usex doc)
+		-DCMAKE_DISABLE_FIND_PACKAGE_KF5=$(usex !dolphin)
+		-DBUILD_WITH_QT4=OFF
+		-DCMAKE_DISABLE_FIND_PACKAGE_Libsmbclient=$(usex !samba)
+		-DCMAKE_DISABLE_FIND_PACKAGE_LibSSH=$(usex !sftp)
+		-DNO_SHIBBOLETH=$(usex !shibboleth)
+		-DUNIT_TESTING=$(usex test)
+		-DOEM_THEME_DIR="${S}"/nextcloudtheme
+	)
+
+	cmake-utils_src_configure
+}
+
+pkg_postinst() {
+	if ! use doc ; then
+		elog "Documentation and man pages not installed"
+		elog "Enable doc USE-flag to generate them"
+	fi
+}